- Qt 5.15
- Qt GUI
- C++ Classes
- QAccessibleStateChangeEvent
- Qt 5.15.15 Reference Documentation

# QAccessibleStateChangeEvent Class

The QAccessibleStateChangeEvent notfies the accessibility framework that the state of an object has changed. More...

Header: | #include <QAccessibleStateChangeEvent>
qmake: | QT += gui
Inherits: | QAccessibleEvent

- List of all members, including inherited members

## Public Functions

| QAccessibleStateChangeEvent(QAccessibleInterface *iface, QAccessible::State state)
| QAccessibleStateChangeEvent(QObject *object, QAccessible::State state)
QAccessible::State | changedStates() const

## Detailed Description

This class is used with QAccessible::updateAccessibility().

See also QAccessibleInterface::state().

## Member Function Documentation

### QAccessibleStateChangeEvent::QAccessibleStateChangeEvent(QAccessibleInterface *iface, QAccessible::State state)

Constructs a new QAccessibleStateChangeEvent. iface is the interface associated with the event state is the state of the accessible object.

### QAccessibleStateChangeEvent::QAccessibleStateChangeEvent(QObject *object, QAccessible::State state)

Constructs a new QAccessibleStateChangeEvent for object. The difference to the object's previous state is in state.

### QAccessible::State QAccessibleStateChangeEvent::changedStates() const

Returns the states that have been changed.

Keep in mind that the returned states are the ones that have changed. To find out about the state of an object, use QAccessibleInterface::state().

For example, if an object used to have the focus but loses it, the object's state will have focused set to `false`. This event on the other hand tells about the change and has focused set to `true` since the focus state is changed from `true` to `false`.